Update a dataset
curl --request PATCH \
--url https://api.starleads.co/Dataset/{datasetId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Updated Name",
"parserConfig": {
"chunkTokenNum": 512
}
}
'import requests
url = "https://api.starleads.co/Dataset/{datasetId}"
payload = {
"name": "Updated Name",
"parserConfig": { "chunkTokenNum": 512 }
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Name', parserConfig: {chunkTokenNum: 512}})
};
fetch('https://api.starleads.co/Dataset/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"chunkMethod": "<string>",
"parserConfig": {
"chunkTokenNum": 123,
"layoutRecognize": true,
"delimiter": "<string>",
"taskPageSize": 123
},
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}RAG - Datasets
Update a dataset
Partially updates a dataset. Only the provided fields are updated; omitted fields remain unchanged.
PATCH
/
Dataset
/
{datasetId}
Update a dataset
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Path Parameters
ID of the dataset.
Body
application/json
Partial update for a dataset. Only provided fields will be updated
Response
Dataset updated successfully
Public representation of a dataset
⌘I

